package ar.com.supervielle.wsdl.servicios.integracion.clienteprevisional_v1;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import javax.xml.ws.Service;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:34:10.141-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebServiceClient(name = "ClientePrevisional", 
                  wsdlLocation = "http://dasoa-01:9814/wsdl/servicios/integracion/clientePrevisional-v1?wsdl",
                  targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1") 
public class ClientePrevisional extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1", "ClientePrevisional");
    public final static QName ClientePrevisionalSvcV11 = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1", "ClientePrevisionalSvc_v1.1");
    public final static QName ClientePrevisionalSvcV2 = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1", "ClientePrevisionalSvc_v2");
    public final static QName ClientePrevisionalSvc = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1", "ClientePrevisionalSvc");
    static {
        URL url = null;
        try {
            url = new URL("http://dasoa-01:9814/wsdl/servicios/integracion/clientePrevisional-v1?wsdl");
        } catch (MalformedURLException e) {
            java.util.logging.Logger.getLogger(ClientePrevisional.class.getName())
                .log(java.util.logging.Level.INFO, 
                     "Can not initialize the default wsdl from {0}", "http://dasoa-01:9814/wsdl/servicios/integracion/clientePrevisional-v1?wsdl");
        }
        WSDL_LOCATION = url;
    }

    public ClientePrevisional(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public ClientePrevisional(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public ClientePrevisional() {
        super(WSDL_LOCATION, SERVICE);
    }
    
    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public ClientePrevisional(WebServiceFeature ... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public ClientePrevisional(URL wsdlLocation, WebServiceFeature ... features) {
        super(wsdlLocation, SERVICE, features);
    }

    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public ClientePrevisional(URL wsdlLocation, QName serviceName, WebServiceFeature ... features) {
        super(wsdlLocation, serviceName, features);
    }    

    /**
     *
     * @return
     *     returns ClientePrevisionalPortTypeV11
     */
    @WebEndpoint(name = "ClientePrevisionalSvc_v1.1")
    public ClientePrevisionalPortTypeV11 getClientePrevisionalSvcV11() {
        return super.getPort(ClientePrevisionalSvcV11, ClientePrevisionalPortTypeV11.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns ClientePrevisionalPortTypeV11
     */
    @WebEndpoint(name = "ClientePrevisionalSvc_v1.1")
    public ClientePrevisionalPortTypeV11 getClientePrevisionalSvcV11(WebServiceFeature... features) {
        return super.getPort(ClientePrevisionalSvcV11, ClientePrevisionalPortTypeV11.class, features);
    }
    /**
     *
     * @return
     *     returns ClientePrevisionalPortTypeV2
     */
    @WebEndpoint(name = "ClientePrevisionalSvc_v2")
    public ClientePrevisionalPortTypeV2 getClientePrevisionalSvcV2() {
        return super.getPort(ClientePrevisionalSvcV2, ClientePrevisionalPortTypeV2.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns ClientePrevisionalPortTypeV2
     */
    @WebEndpoint(name = "ClientePrevisionalSvc_v2")
    public ClientePrevisionalPortTypeV2 getClientePrevisionalSvcV2(WebServiceFeature... features) {
        return super.getPort(ClientePrevisionalSvcV2, ClientePrevisionalPortTypeV2.class, features);
    }
    /**
     *
     * @return
     *     returns ClientePrevisionalPortTypeV1
     */
    @WebEndpoint(name = "ClientePrevisionalSvc")
    public ClientePrevisionalPortTypeV1 getClientePrevisionalSvc() {
        return super.getPort(ClientePrevisionalSvc, ClientePrevisionalPortTypeV1.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns ClientePrevisionalPortTypeV1
     */
    @WebEndpoint(name = "ClientePrevisionalSvc")
    public ClientePrevisionalPortTypeV1 getClientePrevisionalSvc(WebServiceFeature... features) {
        return super.getPort(ClientePrevisionalSvc, ClientePrevisionalPortTypeV1.class, features);
    }

}
